Bug 58696 - xmms 1.2.6 does not compile with gcc3.1
xmms 1.2.6 does not compile with gcc3.1
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: xmms (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-23 05:50 EST by Markus
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-21 08:18:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus 2002-01-23 05:50:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7+) Gecko/20020106

Description of problem:
rpmbuild --rebuild --target=i686 ends with following error message:

make[2]: Verlassen des Verzeichnisses Verzeichnis ;/fs0/xmms-1.2.6/wmxmms+
Making all in gnomexmms
make[2]: Wechsel in das Verzeichnis Verzeichnis ;/fs0/xmms-1.2.6/gnomexmms+
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../xmms -I/usr/include/gtk-1.2
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -D_REENTRANT
-I/usr/X11R6/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include
-I/usr/include -O2 -march=i686 -Wall -Wpointer-arith -finline-functions
-ffast-math -fomit-frame-pointer -funroll-all-loops
-DDATA_DIR=\"/usr/share/xmms\" -DPLUGIN_DIR=\"/usr/lib/xmms\"
-DPLUGINSUBS=\"Output\",\"Input\",\"Effect\",\"General\",\"Visualization\"
-DLOCALEDIR=\"/usr/share/locale\" -I/usr/include -DNEED_GNOMESUPPORT_H
-I/usr/lib/gnome-libs/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include
-I/usr/include/gtk-1.2 -I/usr/X11R6/include -I../intl    -O2 -march=i686 -Wall
-Wpointer-arith -finline-functions -ffast-math -fomit-frame-pointer
-funroll-all-loops -c gnomexmms.c
cc1: warning: changing search order for system directory "/usr/include"
cc1: warning:   as it has already been specified as a non-system directory
gnomexmms.c:24:27: applet-widget.h: Datei oder Verzeichnis nicht gefunden
gnomexmms.c: In function `update_tooltip':
gnomexmms.c:377: warning: implicit declaration of function
`applet_widget_set_tooltip'
gnomexmms.c:377: warning: implicit declaration of function `APPLET_WIDGET'
gnomexmms.c: At top level:
gnomexmms.c:529: parse error before '*' token
gnomexmms.c: In function `main':
gnomexmms.c:555: warning: implicit declaration of function `applet_widget_init'
gnomexmms.c:558: warning: implicit declaration of function `applet_widget_new'
gnomexmms.c:558: warning: assignment makes pointer from integer without a cast
gnomexmms.c:563: warning: implicit declaration of function `applet_widget_add'
gnomexmms.c:566: warning: implicit declaration of function
`applet_widget_register_stock_callback'
gnomexmms.c:570: warning: implicit declaration of function `applet_widget_gtk_main'
make[2]: *** [gnomexmms.o] Fehler 1
make[2]: Verlassen des Verzeichnisses Verzeichnis ;/fs0/xmms-1.2.6/gnomexmms+
make[1]: *** [all-recursive] Fehler 1
make[1]: Verlassen des Verzeichnisses Verzeichnis ;/fs0/xmms-1.2.6+
make: *** [all-recursive-am] Fehler 2
Fehler: Bad exit status from /var/tmp/rpm-tmp.98987 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.98987 (%build)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild --target=i686 xmms...
2.
3.
	

Additional info:

rh 7.2
kernel 2.4.9-13
glibc 2.2.4-19
X 4.1.0
gcc version 3.1 20020106 (Red Hat Linux Rawhide 3.1-0.17)
GNU ld version 2.11.92.0.12 20011121
GNU assembler 2.11.92.0.12 20011121

----
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 6
cpu MHz         : 851.951
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
---

00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge 
(rev 03)
        Subsystem: Asustek Computer, Inc.: Unknown device 1040
        Flags: bus master, medium devsel, latency 64
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge 
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 128
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        Memory behind bridge: f0000000-f7ffffff

00:06.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1 
(rev 12)
        Subsystem: Asustek Computer, Inc.: Unknown device 1049
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at f800 [size=256]
        Capabilities: [c0] Power Management version 2

00:06.1 Communication controller: ESS Technology ESS Modem (rev 12)
        Subsystem: Asustek Computer, Inc.: Unknown device 1049
        Flags: medium devsel, IRQ 10
        I/O ports at f400 [disabled] [size=256]
        Capabilities: [c0] Power Management version 2

00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) 
(prog-if 80 [Master])         Flags: bus master, medium devsel, latency 64
        I/O ports at fcf0 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) 
(prog-if 00 [UHCI])
        Flags: medium devsel, IRQ 9
        I/O ports at fcc0 [disabled] [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
        Flags: medium devsel, IRQ 9

00:08.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139 
(rev 10)
        Subsystem: Asustek Computer, Inc.: Unknown device 1045
        Flags: bus master, medium devsel, latency 64, IRQ 9
        I/O ports at f000 [size=256]
        Memory at fedffc00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2

00:0a.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
        Subsystem: Asustek Computer, Inc.: Unknown device 1044
        Flags: bus master, medium devsel, latency 168, IRQ 9
        Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
        Memory window 0: 10400000-107ff000 (prefetchable)
        Memory window 1: 10800000-10bff000
        I/O window 0: 00004000-000040ff
        I/O window 1:00004400-000044ff
        16-bit legacy interface ports at 0001

00:0a.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
        Subsystem: Asustek Computer, Inc.: Unknown device 1044
        Flags: bus master, medium devsel, latency 168, IRQ 9
        Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=06, subordinate=09, sec-latency=176
        Memory window 0: 10c00000-10fff000 (prefetchable)
        Memory window 1: 11000000-113ff000
        I/O window 0: 00004800-000048ff
        I/O window 1: 00004c00-00004cff
        16-bit legacy interface ports at 0001

01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/MX-/IX (rev 
11) (prog-if 00 [VGA])
        Subsystem: Asustek Computer, Inc.: Unknown device 1042
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 9
        Memory at f0000000 (32-bit, non-prefetchable) [size=128M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
        Capabilities: [80] AGP version 1.0
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca 
cmov pat pse36 mmx fxsr sse
bogomips        : 1697.38
--
Comment 1 Bill Nottingham 2002-01-24 02:16:17 EST
Hrm, it did compiler here.
Comment 2 Håvard Kvålen 2002-03-21 08:18:06 EST
You need gnome-core-devel to rebuild the xmms rpm's.  I suppose this is a bug in
the xmms.org spec file.
Comment 3 Bill Nottingham 2002-08-20 19:52:56 EDT
Yes, or just don't configure with the gnome applet, I suppose.

In any case, this isn't an issue with our current RPMs.

Note You need to log in before you can comment on or make changes to this bug.